jQuery(function($) {
    $('#checkaikey').on('click', function(e) {
        e.preventDefault();
        $('#textoai').text('');
        $('#mi_spinner').show();
        $('#mi_spinner img').show();
        let clave = $('#openai').val();
        $.post(ajaxurl, {
            action: 'validar_openai_key',
            api_key: clave
        }, function(response) {
            $('#mi_spinner img').hide();
            $('#textoai').text(response.data.message);
        });
    });
    $('#checkgeminikey').on('click', function(e) {
        e.preventDefault();
        $('#textogemini').text('');
        $('#mi_spinnerg').show();
        $('#mi_spinnerg img').show();
        let clave = $('#gemini').val();
        $.post(ajaxurl, {
            action: 'validar_gemini_key',
            api_key: clave
        }, function(response) {
            $('#mi_spinnerg img').hide();
            $('#textogemini').text(response.data.message);
        }
        );
    });
    $('#checkvalueserpkey').on('click', function(e) {
        e.preventDefault();
        $('#textovalue').text('');
        $('#mi_spinnerv').show();
        $('#mi_spinnerv img').show();
        let clave = $('#valueserp').val();
        $.post(ajaxurl, {
            action: 'validar_valueserp_key',
            api_key: clave
        }, function(response) {
            $('#mi_spinnerv img').hide();
            $('#textovalue').text(response.data.message);
        });
    });
     $('#checkoutscraperkey').on('click', function(e) {
        e.preventDefault();
        $('#textooutscraper').text('');
        $('#mi_spinnero').show();
        $('#mi_spinnero img').show();
        let clave = $('#outscraper').val();
        $.post(ajaxurl, {
            action: 'validar_outscraper_key',
            api_key: clave
        }, function(response) {
            $('#mi_spinnero img').hide();
            $('#textooutscraper').text(response.data.message);
        });
    });
      $('#checkplaceskey').on('click', function(e) {
        e.preventDefault();
         $('#textoplaces').text('');
        $('#mi_spinnerp').show();
        $('#mi_spinnerp img').show();
        let clave = $('#apiplaces').val();
        $.post(ajaxurl, {
            action: 'validar_apiplaces_key',
            api_key: clave
        }, function(response) {
            $('#mi_spinnerp img').hide();
            $('#textoplaces').text(response.data.message);
        });
    });
     $('#checkreplicatekey').on('click', function(e) {
        e.preventDefault();
        $('#textoreplicate').text('');
        $('#mi_spinnerr').show();
        $('#mi_spinnerr img').show();
        let clave = $('#replicate').val();
        $.post(ajaxurl, {
            action: 'validar_replicate_key',
            api_key: clave
        }, function(response) {
            $('#mi_spinnerr img').hide();
            $('#textoreplicate').text(response.data.message);
        });
    });
});
